<?php
   /*
   Plugin Name: Tekweb ContentGenerator
   Plugin URI: tekweb.de
   description: Tekweb Basis ContentGenerator Tool
   Personal use Helper things
   Version: 1.0
   Author: Paddy
   Author URI:https://tekweb.de
   License: None
   */


defined( 'ABSPATH' ) || exit;




function _duib_cl_heading_register_post_meta() {
//Register for Rest
register_meta('post', 'ilj_linkdefinition', [
        'type' => 'array',
		'auth_callback' => function() {
		return true;
		},
        'single' => true,
       'sanitize_callback' => null,
         'show_in_rest' => array(
             'schema' => array(
                 'type'  => 'array',
                 'items' => array(
                     'type' => 'string',
                 ),
             ),
         ),
    ]);
	
	


register_meta('post', 'rank_math_focus_keyword', [
        'type' => 'string',
		'auth_callback' => function() {
		return true;
		},
        'single' => true,
        'show_in_rest' => true,
    ]);
register_meta('post', 'rank_math_description', [
        'type' => 'string',
		'auth_callback' => function() {
		return true;
		},
        'single' => true,
        'show_in_rest' => true,
    ]);	
register_meta('post', 'rank_math_title', [
        'type' => 'string',
		'auth_callback' => function() {
		return true;
		},
        'single' => true,
        'show_in_rest' => true,
    ]);		
		
	
register_meta('post', '_yoast_wpseo_focuskw', [
        'type' => 'string',
	'auth_callback' => function() {
		return true;
		},
        'single' => true,
        'show_in_rest' => true,
    ]);

register_meta('post', '_yoast_wpseo_metadesc', [
        'type' => 'string',
	'auth_callback' => function() {
		return true;
		},
        'single' => true,
        'show_in_rest' => true,
    ]);

register_meta('post', '_yoast_wpseo_title', [
        'type' => 'string',
	'auth_callback' => function() {
		return true;
		},
        'single' => true,
        'show_in_rest' => true,
    ]);

}
add_action( 'init', '_duib_cl_heading_register_post_meta' );


